Application: gvSIG desktop - gvSIG bugs #2494
Problema con WFS
04/14/2014 05:36 PM - Alvaro Anguix

Status: Closed
Priority: Normal
Assignee:

Category: WEFS

Target version:

% Done: 0%
Spent time: 0.00 hour

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2223 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Reportado por Sergio Acosta en lista usuarios:

Al querer cargar un WFS en gvSIG 2.1 me sale la advertencia que adjunto, y al hacer click en Si la capa aparece en el TOC pero no

en la vista (no se ve nada). La tabla aparece con 5 registros (son en realidad mas de 13000) y vacios. Probé cargar en 1.12 y sin

problemas.

He comprobado y efectivamente ocurre lo que indica.
El servicio es:

http://190.0.131.125:8080/geoserver/mb piria/ows?service=WFS&#38;version=1.0.0&#38;request=GetCapabilities

Adjunto el log que me ha generado al comprobarlo.

Associated revisions

Revision 41301 - 04/15/2014 09:33 AM - Joaquin del Cerro Murciano

replace prints for logger calls in WFS protocol.
refs #2494

History

#1 - 04/15/2014 06:20 PM - Joaquin del Cerro Murciano
- Status changed from New to Awaiting response

Hola.
He probado algo de esto y... no se si es un error o me faltan algunos datos
para comprobarlo.

Lo primero es que la url que se indica es incorrecta.

Le sobra el parametro

request=GetCapabilities

Si se lo quito deja de quejarse con el error de
http://190.0.131.125:8080/geoserver/mb_piria/ows?service=WFS&#38;version=1.0.0&#38;request=GetCapabilities

Se han encontrado parametros en la URL que pueden provocar problemas.

Y ya me sigue adelante con el wizard para seleccionar la

tabla que quiera.

La url que he dejado a sido:

http://190.0.131.125:8080/geoserver/mb_piria/ows?service=WFS&#38;version=1.0.0

He seleccionado la capa "alumbrado" y me la a dibujado correctamente asi como
me ha mostrado la tabla (4345 registros). No se si seleccionando otra tabla puede

dar algun error que no da con esta.

Yo incluso recomendaria que si con la deteccion automatica de la version del

servidor de WFS va bien no se indique la version en la URL. He provado con:

http://190.0.131.125:8080/geoserver/mb_piria/ows?service=WFS

Y lo detecta automaticamente como version 1.1.0/1.0.0.
Incluso le quitaria lo de "service=WFS" ya que en este caso no es necesario.
Vamos, que solo con esto:

http://190.0.131.125:8080/geoserver/mb_piria/ows

Funciona bien.

El que el usuario meta parametros a mano en la URL puede ocasionar que si no
sabe lo que esta haciendo provoque errores de funcionamiento, como era
el caso. El parametro "request" lo pone gvSIG ya que segun la operacion que

se requiera debe tener un valor u otro.

Mi sugerencia es que solo incluya en la URL los parametros que estrictamente
se requieran para acceder al servicio, y que deje que gvSIG ponga el resto, y

si esto no funciona, que ya pruebe a ver que puede hacer.

Sobre lo de que no muestra los datos de la capa... si nos indica la capa

con la que le ha pasado puedo echar un vistazo.
Un saludo

Joaquin

#2 - 04/21/2014 09:42 PM - Alvaro Anguix
- Status changed from Awaiting response to Closed

Files

error.png 15.6 KB 04/14/2014 Alvaro Anguix

gvSIG.log 452 KB 04/14/2014 Alvaro Anguix
05/17/2024 2/2


http://190.0.131.125:8080/geoserver/mb_piria/ows?service=WFS&#38;version=1.0.0
http://190.0.131.125:8080/geoserver/mb_piria/ows?service=WFS
http://190.0.131.125:8080/geoserver/mb_piria/ows

